package fr.natan.akkastreamfileprocessingapi.service

import fr.natan.akkastreamfileprocessingapi.models.Models.{Person, TvSeries}

import scala.concurrent.Future

//noinspection SpellCheckingInspection,AccessorLikeMethodIsUnit
trait AkkaStreamFileProcessing {
  def getPersonById(personID: String): Future[Person]
  def getPersonByName(primaryName: String): Future[IndexedSeq[Person]]

  def getTvSerieByPrimaryTitle(tvSerieTitle: String):Future[IndexedSeq[TvSeries]]

  def getTeamOfPersonsForTvSerie(tvSeriePrimaryTitle: String): Future[IndexedSeq[Person]]
  def getAllTvSeries(): Unit
  def getAllPersons(): Unit
}
